Page MenuHomePhabricator

1.34.0-wmf.13 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.34.0-wmf.13
Release Date
1562544000

2019 week 28 1.34-wmf.13 Changes wmf/1.34.0-wmf.13

This MediaWiki Train Deployment is scheduled for the week of Monday, July 8th:

Monday July 8thTuesday, July 9thWednesday, July 10thThursday, July 11thFriday
SWAT deployments only.Branch wmf.13 and deploy to Group 0 Wikis.Deploy wmf.13 to Group 1 Wikis.Deploy wmf.13 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.13 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.34.0-wmf.12
Next: 1.34.0-wmf.14

Event Timeline

mmodell created this task.Apr 11 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2019, 6:15 PM
mmodell triaged this task as Normal priority.Apr 11 2019, 7:11 PM
greg assigned this task to jeena.Jul 2 2019, 3:19 PM
greg moved this task from INBOX to Ready on the Release-Engineering-Team-TODO (201907) board.

Mentioned in SAL (#wikimedia-operations) [2019-07-09T18:19:24Z] <longma> cutting the branch for 1.34.0-wmf.13 T220738

Change 521581 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group0 wikis to 1.34.0-wmf.13 refs T220738

https://gerrit.wikimedia.org/r/521581

Change 521581 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.34.0-wmf.13 refs T220738

https://gerrit.wikimedia.org/r/521581

Mentioned in SAL (#wikimedia-operations) [2019-07-09T20:23:17Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.34.0-wmf.13 refs T220738

Change 521796 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group0 wikis to 1.34.0-wmf.13 refs T220738

https://gerrit.wikimedia.org/r/521796

Change 521796 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.34.0-wmf.13 refs T220738

https://gerrit.wikimedia.org/r/521796

Mentioned in SAL (#wikimedia-operations) [2019-07-09T23:07:17Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.34.0-wmf.13 refs T220738

Change 522156 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group1 wikis to 1.34.0-wmf.13 refs T220738

https://gerrit.wikimedia.org/r/522156

Change 522156 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.34.0-wmf.13 refs T220738

https://gerrit.wikimedia.org/r/522156

Mentioned in SAL (#wikimedia-operations) [2019-07-11T18:08:31Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.34.0-wmf.13 refs T220738

Mentioned in SAL (#wikimedia-operations) [2019-07-11T18:09:29Z] <jhuneidi@deploy1001> Synchronized php: group1 wikis to 1.34.0-wmf.13 refs T220738 (duration: 00m 57s)

Change 522168 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group2 wikis to 1.34.0-wmf.13 refs T220738

https://gerrit.wikimedia.org/r/522168

Change 522168 abandoned by Jeena Huneidi:
group2 wikis to 1.34.0-wmf.13 refs T220738

Reason:
Accidentally gave wrong arguments to deploy-promote script

https://gerrit.wikimedia.org/r/522168

Change 522171 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] all wikis to 1.34.0-wmf.13 refs T220738

https://gerrit.wikimedia.org/r/522171

Change 522171 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.34.0-wmf.13 refs T220738

https://gerrit.wikimedia.org/r/522171

Mentioned in SAL (#wikimedia-operations) [2019-07-11T19:29:33Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.34.0-wmf.13 refs T220738

mmodell removed a subscriber: mmodell.Jul 11 2019, 7:52 PM
greg closed this task as Resolved.Jul 12 2019, 2:25 AM
greg added a subscriber: greg.

Good work @jeena on your first solo week!